function convertDMS_to_DecimalDegree(tempDegree_txt, tempMinute_txt, tempSeconds_txt) {

    var signResult;
    var tmpDegree;
    var result;

    var tempDegree = parseFloat(tempDegree_txt);
    var tempMinute = parseFloat(tempMinute_txt);
    var tempSeconds = parseFloat(tempSeconds_txt);

    console.debug("JS tempDegree : " + tempDegree);
    console.debug("JS tempMinute : " + tempMinute);
    console.debug("JS tempSeconds : " + tempSeconds);

    if (tempDegree < 0) {
        signResult = -1;
        tmpDegree = tempDegree * signResult;
    } else{
        signResult = 1;
        tmpDegree = tempDegree;
    }

    console.debug("JS tmpDegree : " + tmpDegree);

    result = tmpDegree + (tempMinute/60) + (tempSeconds/3600);
    result = signResult * result;
    result.toFixed(6);

    console.debug("JS result : " + result);

    return result;
}

function long2x(origin_latitude, origin_longitude, longitude) {

    var mplong;
    var rlat;
    var x;

    //Given the latitude, work out meters per latitude and longitude
    rlat = origin_latitude*3.141592/180;
    mplong = 111412.84*Math.cos(rlat)-93.5*Math.cos(3*rlat)+0.118*Math.cos(5*rlat);

    x = (longitude - origin_longitude)*mplong;

    console.debug("* long2X *");
    console.debug("rlat : " + rlat);
    console.debug("mplong : " + mplong);
    console.debug("x : " + x);

    x = x.toFixed(2);

    return x;
}

function lat2y(origin_latitude, latitude) {

    var mplat;
    var rlat;
    var y;

    //Given the latitude, work out meters per latitude and longitude
    rlat = origin_latitude*3.141592/180;
    mplat = 111132.92-559.82*Math.cos(2*rlat)+1.175*Math.cos(4*rlat)-0.0023*Math.cos(6*rlat);

    y = (latitude - origin_latitude)*mplat;

    console.debug("* lat2y *");
    console.debug("rlat : " + rlat);
    console.debug("mplat : " + mplat);
    console.debug("y : " + y);

    y = y.toFixed(2);

    return y;
}
