/****************************************************************************
**
** Copyright (C) 2011 Nokia Corporation and/or its subsidiary(-ies).
** All rights reserved.
** Contact: Nokia Corporation (qt-info@nokia.com)
**
** This file is part of the documentation of Qt. It was originally
** published as part of Qt Quarterly.
**
** $QT_BEGIN_LICENSE:LGPL$
** Commercial Usage
** Licensees holding valid Qt Commercial licenses may use this file in
** accordance with the Qt Commercial License Agreement provided with the
** Software or, alternatively, in accordance with the terms contained in
** a written agreement between you and Nokia.
**
** GNU Lesser General Public License Usage
** Alternatively, this file may be used under the terms of the GNU Lesser
** General Public License version 2.1 as published by the Free Software
** Foundation and appearing in the file LICENSE.LGPL included in the
** packaging of this file.  Please review the following information to
** ensure the GNU Lesser General Public License version 2.1 requirements
** will be met: http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
**
** In addition, as a special exception, Nokia gives you certain additional
** rights.  These rights are described in the Nokia Qt LGPL Exception
** version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
**
** GNU General Public License Usage
** Alternatively, this file may be used under the terms of the GNU
** General Public License version 3.0 as published by the Free Software
** Foundation and appearing in the file LICENSE.GPL included in the
** packaging of this file.  Please review the following information to
** ensure the GNU General Public License version 3.0 requirements will be
** met: http://www.gnu.org/copyleft/gpl.html.
**
** If you have questions regarding the use of this file, please contact
** Nokia at qt-info@nokia.com.
** $QT_END_LICENSE$
**
****************************************************************************/

import QtQuick 1.1

Rectangle {
    id: root
    color: Qt.rgba(0, 0, 0, 0.25)

    property int minimumValue
    property int maximumValue
    property int value

    Rectangle {
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.top: parent.top
        anchors.bottom: parent.bottom
        width: 2
        height: parent.height
        color: "black"
    }

    Rectangle {
        id: handle
        color: "grey"
        border.color: "black"
        anchors.left: parent.left
        anchors.right: parent.right
        height: 8

        y: (parent.maximumValue - value) * parent.height / (parent.maximumValue - parent.minimumValue)
    }

    MouseArea {
        anchors.fill: parent
        onPositionChanged: {
            var newY = calculateY(mouse.y)
            handle.y = newY
        }
        onReleased: {
            var newY = calculateY(mouse.y)
            parent.value = parent.maximumValue - Math.round((newY - parent.y)/(parent.height - handle.height) * (parent.maximumValue - parent.minimumValue))
            handle.y = (parent.maximumValue - value) * parent.height / (parent.maximumValue - parent.minimumValue)
        }
        function calculateY(value) {
            return Math.max(0, Math.min(value - handle.height/2, parent.height - handle.height))
        }
    }
}
