import QtQuick 1.1
import com.nokia.meego 1.0

Page {
    id: tabPage
    tools: toolbarWayPoint
    orientationLock: PageOrientation.LockPortrait

    ToolBarLayout {
        id: toolbarWayPoint
        visible: true

        ToolIcon {
            platformIconId: "toolbar-back"
            onClicked: Qt.quit()
        }

        ButtonRow {

            style: TabButtonStyle {}

            TabButton {
                text: "Main"
                tab: tab1
            }

            TabButton {
                text: "Origin"
                tab: tab2

                onClicked: {
                    tab2.temp_Origin_Latitude_DD = origin_Latitude;
                    tab2.temp_Origin_Longitude_DD = origin_Longitude;
                }
            }

            TabButton {
                text: "About"
                tab: tab3
            }
        }
    }

    TabGroup {
        id: tabGroup

        currentTab: tab1

        Main_Page {
            id: tab1
        }

        Origin_Page {
            id: tab2
        }

        About_Page {
            id: tab3
        }
    }
}
